org.apache.nutch.webui.model

## Class NutchInstance

- java.lang.Object
- - org.apache.nutch.webui.model.NutchInstance

- All Implemented Interfaces:
    Serializable

      @Entity
      public class NutchInstance
      extends Object
      implements Serializable

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `NutchInstance()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `ConnectionStatus` | `getConnectionStatus()`
    `String` | `getHost()`
    `Long` | `getId()`
    `String` | `getName()`
    `String` | `getPassword()`
    `Integer` | `getPort()`
    `URI` | `getUrl()`
    `String` | `getUsername()`
    `void` | `setConnectionStatus(ConnectionStatus connectionStatus)`
    `void` | `setHost(String host)`
    `void` | `setId(Long id)`
    `void` | `setName(String name)`
    `void` | `setPassword(String password)`
    `void` | `setPort(Integer port)`
    `void` | `setUsername(String username)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### NutchInstance

          public NutchInstance()

  - ### Method Detail

    - #### getName

          public String getName()

    - #### setName

          public void setName(String name)

    - #### getHost

          public String getHost()

    - #### setUsername

          public void setUsername(String username)

    - #### getUsername

          public String getUsername()

    - #### setHost

          public void setHost(String host)

    - #### getPort

          public Integer getPort()

    - #### setPort

          public void setPort(Integer port)

    - #### getConnectionStatus

          public ConnectionStatus getConnectionStatus()

    - #### setConnectionStatus

          public void setConnectionStatus(ConnectionStatus connectionStatus)

    - #### getUrl

          public URI getUrl()

    - #### getPassword

          public String getPassword()

    - #### setPassword

          public void setPassword(String password)

    - #### getId

          public Long getId()

    - #### setId

          public void setId(Long id)

Copyright © 2020 The Apache Software Foundation